#!/usr/local/bin/ruby
# $Id: stat.rb,v 1.2 2004/12/21 12:46:06 toki Exp $

base_dir = File.expand_path(File.dirname($0))
lib_core = File.join(base_dir, 'lib_core')
lib_conf = File.join(base_dir, 'lib_conf')
$:.push(lib_core)
$:.push(lib_conf)

require 'rucy/rep'
require 'rucy/config_sys'
require 'rucy/config_core'

rep = Rucy::Repository.new
Rucy::Config.config_sys(rep)
Rucy::Config.config_core(rep)

rc_d = rep.fetch(:RC_d)
if (rc_d.running?) then
  exit 0
else
  exit 1
end
